Bug 1301388 - API Doc is missing fields=full parameter documentation for GET /katello/api/systems/:id
API Doc is missing fields=full parameter documentation for GET /katello/api/s...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-24 12:40 EST by Sebastian Hetze
Modified: 2017-03-23 16:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 16:30:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Hetze 2016-01-24 12:40:52 EST
Description of problem:
The apidoc for GET /katello/api/systems/:id does not mention fields=full parameter which is crucial for host-guest relationship information.

How reproducible:
Always

Steps to Reproduce:
1. Log into Sat6
2. open apidoc/v2/systems/show.html

Actual results:
no mention of fields=full parameter

Expected results:
fields=full is required to get information such as virtual_guests, compliance and facts

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:10 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-03-23 16:30:37 EDT
This api is deprecated. I do not believe this will be addressed in the next few releases, so I am closing this out. If you feel this was incorrect, please feel free to re-open with additional information.

Note You need to log in before you can comment on or make changes to this bug.